RECON-CLI(1)

NAME
recon-cli - Allow the use of recon-ng from the command line

SYNOPSIS
recon-cli [-h] [-v] [-w workspace] [-C command] [-c command] [-G] [-g name=value] [-M] [-m module] [-O] [-o name=value] [-x] [--no-version] [--no-analytics] [--no-marketplace] [--stealth] [--version] [--analytics]

DESCRIPTION

If external shell scripting is preferred, recon-cli makes all of the functionality of the Recon-ng framework accessible from the command line.

OPTIONS

-h, --help
    show this help message and exit

-w workspace
    load/create a workspace

-C command
    runs a command at the global context

-c command
    runs a command at the module context (pre-run)

-G  show available global options

-g name=value
    set a global option (can be used more than once)

-M  show modules

-m module
    specify the module

-O  show available module options

-o name=value
    set a module option (can be used more than once)

-x  run the module

--no-version
    disable version check (by default in Debian)

--no-analytics
    disable analytics reporting (by default in Debian)

--no-marketplace
    disable remote module management

--stealth
    disable all passive requests (--no-*)

-v, --version
    show program's version number and exit

--analytics
    enable Google analytics reporting

AUTHORS
Tim Tomes (@LaNMaSteR53) tjt1980[at]gmail.com